package com.bonus.canteen.core.account.v3.api.dto;

import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;
import java.util.List;

public class AccRechargeSumApiDTO {
   @ApiModelProperty("操作开始时间")
   private LocalDateTime startDateTime;
   @ApiModelProperty("操作结束时间")
   private LocalDateTime endDateTime;
   @ApiModelProperty("充值渠道")
   private List<Integer> payChannellList;
   @ApiModelProperty("人员id")
   private Long custId;

   public LocalDateTime getStartDateTime() {
      return this.startDateTime;
   }

   public LocalDateTime getEndDateTime() {
      return this.endDateTime;
   }

   public List<Integer> getPayChannellList() {
      return this.payChannellList;
   }

   public Long getCustId() {
      return this.custId;
   }

   public void setStartDateTime(final LocalDateTime startDateTime) {
      this.startDateTime = startDateTime;
   }

   public void setEndDateTime(final LocalDateTime endDateTime) {
      this.endDateTime = endDateTime;
   }

   public void setPayChannellList(final List<Integer> payChannellList) {
      this.payChannellList = payChannellList;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }


   public AccRechargeSumApiDTO(final LocalDateTime startDateTime, final LocalDateTime endDateTime, final List<Integer> payChannellList, final Long custId) {
      this.startDateTime = startDateTime;
      this.endDateTime = endDateTime;
      this.payChannellList = payChannellList;
      this.custId = custId;
   }

   public AccRechargeSumApiDTO() {
   }
}
